#ifndef AUDIOSTREAM_H
#define AUDIOSTREAM_H

#include <stdint.h>

#include "SDL.h"

#include <vector>
#include <string>
using namespace std;

#include "SDL_mixer.h"

//this holds one music file.

class AudioStream
{
 public:
  AudioStream ();
  ~AudioStream ();

  Mix_Music * getStream();
  void setStream (Mix_Music*);

  void incRefCount ();
  void decRefCount ();
  uint32_t getRefCount ();

 private:
  uint32_t refCount;
  Mix_Music *musicChunk; //music chunk that sdl_mixer works on
};

#endif
