#ifndef GRAPHICBITMAP_H
#define GRAPHICBITMAP_H

#include <stdint.h>

#include "SDL.h"

using namespace std;

class GraphicBitmap
{
 public:
  GraphicBitmap ();
  ~GraphicBitmap ();

  SDL_Surface * getPic ();
  void setPic (SDL_Surface *);

  int getWidth ();
  int getHeight ();
  
  void incRefCount ();
  void decRefCount ();
  uint32_t getRefCount ();

 private:
  uint32_t refCount;
  SDL_Surface * pic;
};

#endif
