#ifndef INPUT_H
#define INPUT_H

#include <stdint.h>

#define INPUT_NONE 0
#define INPUT_QUIT 1
#define INPUT_MOUSEMOTION 2
#define INPUT_MOUSEUP 3
#define INPUT_MOUSEDOWN 4
#define INPUT_MOUSEDRAG 5

#define MOUSE_BUTTON_NONE 0
#define MOUSE_BUTTON_ACTION 1
#define MOUSE_BUTTON_HELP 2

#include <vector>
using namespace std;

class Input {
 public:
  Input ();
  ~Input ();

  uint32_t getInput ();
  void setInput (uint32_t);

  vector <int> & getData ();
  void pushData (int);

 private:
  uint32_t command;
  vector <int> data;
};
#endif
