#ifndef LOCALINPUTCOLLECTION_H
#define LOCALINPUTCOLLECTION_H

#include "Input.h"
#include "SDL.h"

#include <stdint.h>

#include <vector>
using namespace std;

//This captures input from the mouse, keyboard, joysticks and anything else connected to this computer.

class LocalInputCollection {
 public:
  LocalInputCollection ();
  ~LocalInputCollection ();

  //reads local devices to push inputs
  void pollInput (SDL_Event &);

  vector<Input> & getInputs ();

 protected:
  vector <Input> inputs;
};

#endif
