#include "Enemy.h"

#include <stdint.h>

#include <vector>
#include <string>
using namespace std;

Enemy :: Enemy ()
{
  enemyID = 0;
}

Enemy :: ~Enemy ()
{
}

uint8_t Enemy :: getHealth ()
{ return health; }

uint8_t Enemy :: getArmor ()
{ return armor; }

uint8_t Enemy :: getAccuracy ()
{ return accuracy; }

uint8_t Enemy :: getDamage ()
{ return damage; }

uint8_t Enemy :: getEvade ()
{ return evade; }

void Enemy :: setHealth (uint8_t x)
{ health = x; }

void Enemy :: setArmor (uint8_t x)
{ armor = x; }

void Enemy :: setAccuracy (uint8_t x)
{ accuracy = x; }

void Enemy :: setDamage (uint8_t x)
{ damage = x; }

void Enemy :: setEvade (uint8_t x)
{ evade = x; }

void Enemy :: getName (string & x)
{ x.assign (name); }

void Enemy :: setName (const string & x)
{ name.assign (x); }

bool Enemy :: isABoss ()
{ return boss; }

void Enemy :: setBoss (bool b)
{ boss = b; }

uint8_t Enemy :: getMoney ()
{ return moneyDropped; }

void Enemy :: setMoney (uint8_t x)
{ moneyDropped = x; }

void Enemy :: initialize (uint8_t eID)
{
  //load stats from a file, based on the enemyID.
  enemyID = eID;
  moneyDropped = 0;
  setBoss (false);
}
