#ifndef ENEMYDURINGBATTLE_H
#define ENEMYDURINGBATTLE_H

#include <stdint.h>

#include "Enemy.h"

#include <vector>
using namespace std;

//These stats appear for the enemy during battle.

class EnemyDuringBattle {
 public:
  EnemyDuringBattle ();
  ~EnemyDuringBattle ();
  void initialize (Enemy &);

  uint8_t getCurrentHealth ();
  void setCurrentHealth (uint8_t x);
  void loseCurrentHealth (uint8_t x);
  bool isDead ();
 private:
  uint8_t currentHealth;
  vector <uint8_t> status;
  //vector <EnemyAbility*> abilities;
  vector <uint8_t> executePriority;
};

#endif
