
//Player's stats.

#define PLAYER_CLASS_NUMBER 4

#define PLAYER_CLASS_NULL 0
#define PLAYER_CLASS_WARRIOR 1
#define PLAYER_CLASS_ARCHER 2
#define PLAYER_CLASS_MAGE 3
#define PLAYER_CLASS_SWASHBUCKLER 4

#define PLAYER_ITEM_MAX 10
#define PLAYER_EQUIPPED_ITEM_MAX 3
#define PLAYER_SELL_RATIO 8 //out of 16ths
#define PLAYER_EQUIPPED_ABILITY_MAX 10

//Status ailments
#define AILMENT_FAST 0
#define AILMENT_SLOW 1
#define AILMENT_HEAL 2
#define AILMENT_REGEN 3
#define AILMENT_POISON 4
#define AILMENT_PENETRATING 5
#define AILMENT_FORTIFY 6
#define AILMENT_INVINCIBLE 7
#define AILMENT_ACCURATE 8
#define AILMENT_EVASIVE 9
#define AILMENT_LUCKY 10
#define AILMENT_REMEDY 11
#define AILMENT_DISPEL 12
#define AILMENT_TOTAL 13

//Item types
#define ITEM_TYPE_NONE 0
#define ITEM_TYPE_EQUIPMENT 1
#define ITEM_TYPE_CONSUMABLE 2

//Ability Types
#define ABILITY_TYPE_NONE 0
#define ABILITY_TYPE_NATURAL 1
#define ABILITY_TYPE_ITEM 2
#define ABILITY_TYPE_WAIT 3

//Stats
#define PLAYER_STAT_NUMBER 7
#define PLAYER_STAT_HEALTH 0
#define PLAYER_STAT_ARMOR 1
#define PLAYER_STAT_ACCURACY 2
#define PLAYER_STAT_DAMAGE 3
#define PLAYER_STAT_PIERCE 4
#define PLAYER_STAT_EVADE 5
#define PLAYER_STAT_LUCK 6
