#ifndef PLAYERDURINGBATTLE_H
#define PLAYERDURINGBATTLE_H

#include <stdint.h>

#include "Player.h"
#include "BattleAbility.h"

#include <vector>
using namespace std;

//These stats appear for the player during battle.

class PlayerDuringBattle {
 public:
  PlayerDuringBattle ();
  ~PlayerDuringBattle ();
  void initialize (Player &);

  uint8_t getCurrentHealth ();
  void setCurrentHealth (uint8_t x);
  void loseCurrentHealth (uint8_t x);
  bool isDead ();
 private:
  uint8_t currentHealth;
  vector <uint8_t> status;
  vector <BattleAbility> battleAbilities;
};

#endif
