#ifndef CONSUMABLE_H
#define CONSUMABLE_H

#include <stdint.h>
#include <libxml/parser.h>
#include <libxml/tree.h>
#include <libxml/xpath.h>
#include <libxml/xpathInternals.h>

#include "Item.h"

//Consumable, child of item.

class Consumable : public Item {
 public:
  Consumable ();
  ~Consumable ();

  const string & getPlayerAbilityName ();
  void setPlayerAbilityName (const string & x);

  uint8_t loadConsumable (const string &);
  bool loadConsumableHelper (xmlDocPtr doc, xmlXPathContextPtr xpathCtx, const string & xpath);

 private:
  string playerAbilityID;
};

#endif
