#ifndef ENEMY_H
#define ENEMY_H

#include <stdint.h>

#include <vector>
#include <string>
using namespace std;

//Enemy's stats.

class Enemy {
 public:
  Enemy ();
  ~Enemy ();

  void initialize (uint8_t);

  uint8_t getHealth ();
  uint8_t getArmor ();
  uint8_t getAccuracy ();
  uint8_t getDamage ();
  uint8_t getEvade ();
  uint8_t getMoney ();

  void setHealth (uint8_t x);
  void setArmor (uint8_t x);
  void setAccuracy (uint8_t x);
  void setDamage (uint8_t x);
  void setEvade (uint8_t x);
  void setMoney (uint8_t x);

  void getName (string & x);
  void setName (const string & x);

  bool isABoss ();
  void setBoss (bool b);
 private:
  uint8_t health, accuracy, damage, armor, evade, moneyDropped;
  string name;
  bool boss;
  uint8_t enemyID;
};

#endif
